#include "shaders.h"

// ----------------------------------------------------------------------------------------------------------------------------

class CCamera
{
private:
	mat4x4 *ViewMatrix;

public:
	vec3 X, Y, Z, Position;

public:
	CCamera();

	void rotateWithMouse(int cx, int cy);
	void update(float FrameTime);
	void look();
	void SetViewMatrixPointer(mat4x4 *ViewMatrix);
};
